import java.io.*;
import java.awt.*;

public class Alphabet extends Object {
    /* Ein Alphabet-objekt ist ein Buchstabe */
        public Alphabet() {
            /* Ein leerer Constructor */
        }
        
        public Alphabet (String letter) {
            leseDefinition(letter);
        }
        
        public Zeichenobjekt linie[] = new Zeichenobjekt[10];
        /* Zeichenobjekte knnen Striche oder Kurven sein, max 10 */
        
        public void zeichneBuchstabe(Graphics g, int faktor, int startAtx, int startAty) {
            for (int i = 0; i <= 9; i++)  /* Linien eines Buchstabens nacheinander zeichnen */
			try {
                		linie[i].zeichne(g, faktor, startAtx, startAty);				
			} catch(NullPointerException e) {
				System.out.println("Zeichne nicht "+i);
				return;
			}
        }
    
        public void leseDefinition(String name) {
            ReadFile filehandle;
            String record;
            int space[] = new int[5], /* positon der Leerzeichen im String */
            parameter[] = new int[5]; /* Die Parameter einer Zeile */
            int j= 0,i,loop = 0;
           /* filehandle = new ReadFile("D:\\Eigene Dateien\\Uni\\MyEprog\\Angabe2\\daten",name+".def"); */
            filehandle = new ReadFile("./daten",name+".def");
	    System.out.println("Lese Daten von: "+name);
           /* filehandle = new ReadFile("A:\\daten",name+".def"); */
            while (null != (record = filehandle.readLine())) {
                /* Datenstze der Buchstabendefiniton zeilenweise einlesen */
                /* Bestimmen ob strich oder Kurve */
                if (record.substring(0,1).equals( "S")) {   /* Strich mit 4 Argumenten */
                    loop = 3;
		    System.out.println("Lese Strichdaten"+record);
			}
                if (record.substring(0,1).equals("K")) {    /* Strich mit 5 Argumenten */
                    loop = 4;
		    System.out.println("Lese Kurvendaten"+record);
			}
                space[0] = record.indexOf(" ");
                for (i = 1; i<= loop; i++) {
                    /* String parsen */
                    space[i] = record.indexOf(" ",space[i-1]+1);
                    parameter[i-1] = 0;
                    try {
		        parameter[i-1] = Integer.parseInt(record.substring(space[i-1]+1,space[i]));
		    } catch (NumberFormatException e){
		        System.out.println("Illegales Zeichen in Definitionsdatensatz: " + record.substring(space[i-1],space[i]));
		    }
                }
		try {
			System.out.println( record.substring(space[loop]+1,record.length() ) );
			parameter[loop] =  Integer.parseInt(record.substring(space[loop]+1,record.length() ));
		} catch (NumberFormatException e){
		        System.out.println("Illegales Zeichen in Definitionsdatensatz: " + record.substring(space[i]+1));
		}
                if (loop  == 3) /*Strich*/{
                    linie[j] = new Strich();
                    linie[j].define(parameter[0], parameter[1], parameter[2], parameter[3],0);
                }
                if (loop == 4)/* Kurve */ {
                    linie[j] = new Kurve();
                    linie[j].define(parameter[0], parameter[1], parameter[2], parameter[3],parameter[4]);
                }
		 linie[j].printdef();
		 System.out.println("----------------------");
		j++;
             } /* while Schleife */
	     System.out.println("========================");		    		
        } /*lese Definition */
        

        
} /* class */
