import java.awt.*;

abstract class Zeichenobjekt extends Object {
    /*  Diese abstrakte Klasse definiert ein Zeichenobjekt, z.B. einen Strich oder eine Kurve        
    */    
    
    public Zeichenobjekt() {
        /* Ein Constructor ohne Parameter */
    }
    
    public abstract void zeichne(Graphics g, int faktor, int startAtx, int startAty);
        /* Mit der Methode zeichne soll das Objekt gezeichnet werden. g ist das Grafikobjekt, faktor der Vergrsserungsfaktor
            startAtx und startAty sind die Koordinaten des oberen linken Punkts des Buchstaben */
    
    
    public abstract void define(int lx, int ly, int laussenradius, int lanfangswinkel, int lbogenwinkel);
        /* Hier werden 5 ints bergeben. Diese Parameter sind bei den Tochterklassen aber anders belegt als hier im Beispiel 
        */

        public abstract void printdef();
        /* Dient nur zum debuggen der Anwendung */
}