import java.awt.*;
import java.awt.event.*;

public class Fenster extends Frame {

    public Fenster() {
	super("Banner");
	addWindowListener(new WindowClosingAdapter(true));
        setBackground(Color.white);
	setForeground(Color.black);
	setSize(900,400);
	setVisible(true);
    }

    public static Alphabet abisz[] = new Alphabet[26];
	/* 26 Buchstabendefinitionen */

    public static Banner banner[] =  new Banner[10];
	/* Ein Banner mit max. 10 Zeilen */
    public static int AnzBanner;
	/* Wieviele Zeilen sind tatschlich vorhanden */
    public static String Buchstabenauswahl = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
        /* mgliche Buchstaben */
    
    public static void main(String[] args) {
        int i;
	String record;
	ReadFile filehandle;
        for ( i = 0; i <= 25; i ++) {  /* Einlesen der Alphabetdefinitionen */
            abisz[i] = new Alphabet(Buchstabenauswahl.substring(i,i+1));
        }
	filehandle = new ReadFile("./daten","banner.txt");
       /* filehandle = new ReadFile("A:\\daten","banner.txt"); */
	i = 0;
        while ( null != (record = filehandle.readLine())) {   /*Einlesen des Bannertexts */
        	banner[i] = new Banner(record);
		i++;
	}
	AnzBanner = i;
	Fenster wind = new Fenster();

    }

    public void paint(Graphics g) {
	int i = 0;
	int j= 0;
	/* Rant */
	int startAtx= 35, startAty = 35;
	System.out.println(AnzBanner);
	for (i= 0; i < AnzBanner && i <= 4; i++) {  /* Bannertext Zeilenweise */
		for (j= 0; j < banner[i].inhalt.length();j ++) {	/*Bannerzeile buchstabenweise */
			System.out.println("Buchstabe"+ banner[i].inhalt.substring(j,j+1) );
			if ( Buchstabenauswahl.indexOf(banner[i].inhalt.substring(j,j+1))!= -1)
        			abisz[Buchstabenauswahl.indexOf(banner[i].inhalt.substring(j,j+1))].zeichneBuchstabe(g, banner[i].faktor, startAtx, startAty);
			startAtx+= (7 * banner[i].faktor);	/* Carriage einen weiter rcken */
		}
		startAty += (10 * banner[i].faktor);
		startAtx = 35;                      	/* Carriage Return */
	}

    }
}
